Bug 106107 - Vertically joined cells in table header don't keep its height when repeated on the next page
Summary: Vertically joined cells in table header don't keep its height when repeated o...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2017-02-20 14:58 UTC by Alexander Polkhovskiy
Modified: 2019-06-17 07:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Joined table header height on the second page (9.80 KB, application/vnd.oasis.opendocument.text)
2017-02-20 15:00 UTC, Alexander Polkhovskiy
Details
Screenshot of the problem in 6.2 (17.36 KB, image/png)
2018-05-31 10:34 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Polkhovskiy 2017-02-20 14:58:33 UTC
Description:
Vertically joined cells in table header don't keep its height when repeated on the next page. Two or more vertically joined cells reduce it's height to two single cells' total height in the other row.

Steps to Reproduce:
1. Create at least 2 columns table.
2. Mark 2 first rows to be repeated on each page in the table properties.
3. Join vertically 2 first cells in the first column.
4. Place some text in the first cell of the first column, that will automatically increase its height.
5. Add necessary quantity of rows to make the table continue on the next page.

Actual Results:  
Now you see the first cell of the first column on the next page, and it has smaller height than on the first page. The text in the cell is cut as it would have exact height set.
Workaround: If you enter some text (even CRLF) in the single cell(s) in the second column to automatically increase their total height beyond the height of the first cell in the first column and then delete it (the text), the problem is gone. Manually changing the height of any of these 3 cells doesn't solve the problem.

Expected Results:
The cell should remain same height as it has on the first page.


Reproducible: Always

User Profile Reset: No

Additional Info:
Version: 5.3.0.3
Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
Locale: ru-RU (ru_RU); Calc: group
Windows 8.1 Pro x64


User-Agent: Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/5.0 Chrome/47.0.2526.73 Safari/537.36
Comment 1 Alexander Polkhovskiy 2017-02-20 15:00:26 UTC
Created attachment 131363 [details]
Joined table header height on the second page

Try to add and then delete CRLF (Enter) in one of the 2nd column header cells.
Comment 2 Alexander Polkhovskiy 2017-02-20 15:02:28 UTC
Bah... Workaround's result isn't saved :( After reopening the file you'll see same problem.
Comment 3 Buovjaga 2017-03-01 10:30:21 UTC
Repro.

More detailed steps:

1. Create at least 2 columns table.
2. Format - Page - Page: Bottom margin: 23,81 cm
3. Table properties - Text flow: Repeat heading the first 2 rows
3. Join vertically 2 first cells in the first column.
4. Place some text in the first cell of the first column, that will automatically increase its height.
5. Add necessary quantity of rows to make the table continue on the next page.

Win 7 Pro 64-bit Version: 5.4.0.0.alpha0+
Build ID: eb7b03b052ffe8c2c577b2349987653db6c53f76
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2017-02-26_22:34:18
Locale: fi-FI (fi_FI); Calc: CL

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 4 QA Administrators 2018-03-02 03:41:35 UTC Comment hidden (obsolete)
Comment 5 Alexander Polkhovskiy 2018-03-02 08:18:45 UTC
Problem is not fixed yet.
LO 6.0.2.1 x86
build ID f7f06a8f319e4b62f9bc5095aa112a65d2f3ac89
Windows 8.1 Pro x64
Rendering - Default
Locale ru-RU
Comment 6 Mike Kaganski 2018-05-31 09:37:27 UTC
Please check if fixing bug 108482 had fixed this.
Comment 7 Buovjaga 2018-05-31 10:34:32 UTC
Created attachment 142436 [details]
Screenshot of the problem in 6.2

Still repro and there is also a new visual issue: the merged cells are shown as having a border going through it aligned with the first row!

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 78bed16e17f5128d3523413255d95de85c0ebf36
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on May 31st 2018
Comment 8 Mike Kaganski 2018-05-31 10:49:08 UTC
Ah, true: I have missed the fact that Buovjaga has confirmed it on 3.5.

Already reproducible with OpenOffice.org 3.3.0 OOO330m20 (Build:9567).
And with Version: 6.0.3.2
Build ID: 1:6.0.3-0ubuntu1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;
Locale: en-US (en_US.UTF8); Calc: group
Comment 9 Buovjaga 2018-05-31 10:59:37 UTC
(In reply to Buovjaga from comment #7)
> Still repro and there is also a new visual issue: the merged cells are shown
> as having a border going through it aligned with the first row!

The new issue is bug 117884
Comment 10 QA Administrators 2019-06-01 02:48:52 UTC Comment hidden (obsolete)
Comment 11 Alexander Polkhovskiy 2019-06-17 07:57:00 UTC
Reproduced in 6.4.0.0.alpha0+ (x86)
Build ID: b61a1ca837223ba9d7da1aa8936f228d89bde60a
CPU threads: 4; OS: Windows 6.3; UI render: GL; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-15_23:52:13
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: CL